LinkedIn Accounts / REST API
Send connection request
Send a LinkedIn connection request to a profile.
POST /api/mcp/linkedin/connection-requestDeterministic operationParameters
workspaceIdOptional · string- Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client.
accountIdRequired · string- See the input schema for this field.
profileUrlRequired · string- See the input schema for this field.
messageOptional · string- See the input schema for this field.
curl -X POST "https://app.pipeline.help/api/mcp/linkedin/connection-request" \
-H "Authorization: Bearer $PIPELINE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"accountId":"00000000-0000-4000-8000-000000000000","profileUrl":"https://example.com"}'Full input schema
{
"type": "object",
"properties": {
"workspaceId": {
"type": "string",
"minLength": 1,
"description": "Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client."
},
"accountId": {
"type": "string"
},
"profileUrl": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"accountId",
"profileUrl"
]
}